import 'package:flutter/material.dart';

class CustomRawMatBtnOrange extends StatelessWidget {

  CustomRawMatBtnOrange({@required this.onPressed, this.btnTitle, this.theButtonText});
  final GestureTapCallback onPressed;
  final String btnTitle;
  final Text theButtonText;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 20),
      child: RawMaterialButton(
        fillColor: Colors.deepOrange,
        splashColor: Color(0xff2a4044),
        child: Ink(
          decoration: BoxDecoration(
              borderRadius: BorderRadius.all(Radius.circular(25.0)),
              border: Border.all(color: Colors.deepOrange, width: 2.0),
              color: Colors.orangeAccent[900],
              shape: BoxShape.rectangle),
          child: Padding(
            padding: EdgeInsets.all(10),

            child: Column(
              crossAxisAlignment: CrossAxisAlignment.stretch,
              mainAxisSize: MainAxisSize.max,
              children: const <Widget>[
                SizedBox(
                  width: 10.0,
                ),

                Text(
                  'Login',
                  textAlign: TextAlign.center,
                  maxLines: 1,
                  style: TextStyle(
                    fontFamily: 'LibreFranklin',
                    color: Colors.white,
                    fontSize: 25.0,),
                ),
              ],
            ),
          ),
        ),
        onPressed: onPressed,
        shape: const StadiumBorder(),
      ),
    );
  }
}
